std::_Not_fn< _Fn >(3)

NAME
std::_Not_fn< _Fn > - Generalized negator.

SYNOPSIS

#include <functional>

  Public Member Functions
template<typename _Fn2 > constexpr _Not_fn (_Fn2 &&__fn, int)
_Not_fn (_Not_fn &&__fn)=default
_Not_fn (const _Not_fn &__fn)=default
template<typename... _Args, typename = enable_if_t<!__is_invocable<_Fn && , _Args...>::value>> void operator() (_Args &&... __args) &&=delete
template<typename... _Args, typename = enable_if_t<__is_invocable<_Fn && , _Args...>::value>> constexpr decltype(_S_not< __inv_res_t< _Fn &&, _Args... > >()) operator() (_Args &&... __args) &&noexcept(__is_nothrow_invocable< _Fn &&, _Args... >::value &&noexcept(_S_not< __inv_res_t< _Fn &&, _Args... > >()))
template<typename... _Args, typename = enable_if_t<!__is_invocable<_Fn & , _Args...>::value>> void operator() (_Args &&... __args) &=delete
template<typename... _Args, typename = enable_if_t<__is_invocable<_Fn & , _Args...>::value>> constexpr decltype(_S_not< __inv_res_t< _Fn &, _Args... > >()) operator() (_Args &&... __args) &noexcept(__is_nothrow_invocable< _Fn &, _Args... >::value &&noexcept(_S_not< __inv_res_t< _Fn &, _Args... > >()))
template<typename... _Args, typename = enable_if_t<!__is_invocable<_Fn const && , _Args...>::value>> void operator() (_Args &&... __args) const &&=delete
template<typename... _Args, typename = enable_if_t<__is_invocable<_Fn const && , _Args...>::value>> constexpr decltype(_S_not< __inv_res_t< _Fn const &&, _Args... > >()) operator() (_Args &&... __args) const &&noexcept(__is_nothrow_invocable< _Fn const &&, _Args... >::value &&noexcept(_S_not< __inv_res_t< _Fn const &&, _Args... > >()))
template<typename... _Args, typename = enable_if_t<!__is_invocable<_Fn const & , _Args...>::value>> void operator() (_Args &&... __args) const &=delete
template<typename... _Args, typename = enable_if_t<__is_invocable<_Fn const & , _Args...>::value>> constexpr decltype(_S_not< __inv_res_t< _Fn const &, _Args... > >()) operator() (_Args &&... __args) const &noexcept(__is_nothrow_invocable< _Fn const &, _Args... >::value &&noexcept(_S_not< __inv_res_t< _Fn const &, _Args... > >()))

Detailed Description

  template<typename _Fn>
class std::_Not_fn< _Fn >"Generalized negator.

Author

Generated automatically by Doxygen for libstdc++ from the source code.